@keyframes highlight {
	to {
		background-position: 0;
	}
}

mark {
	animation: highlight linear forwards;
	animation-timeline: view(60% 20%);
	background: linear-gradient(
		to right,
		oklch(0.86 0.19 84.89 / 1) 50%,
		oklch(0.86 0.19 84.89 / 0) 50%
	);
	background-position: 100%;
	background-size: 200% 100%;
	border-radius: 0.125rem;
	padding-inline: 0.125rem;
}